-- Anzahl pro Zivilstand
SELECT MaritalStatus AS Zivilstand,
       COUNT(*)      AS Anzahl
  FROM HumanResources.Employee
 GROUP BY MaritalStatus

-- Anzahl pro Zivilstand und Geschlecht
 SELECT MaritalStatus AS Zivilstand,
        Gender        AS Geschlecht,
        COUNT(*)      AS Anzahl
  FROM HumanResources.Employee
 GROUP BY MaritalStatus, Gender
 ORDER BY Gender

-- Ergebnis
/*
Zivilstand Anzahl
---------- -----------
M          146
S          144

Zivilstand Geschlecht Anzahl
---------- ---------- -----------
M          F          49
S          F          35
M          M          97
S          M          109

*/