-- Angestellte mit Kontaktdaten, Schicht
SELECT emp.BusinessEntityID AS ID, 
       emp.JobTitle,  
	   LastName,
	   StartTime,
	   EndTime
  FROM HumanResources.Employee AS emp,
       Person.Person          AS p,
       HumanResources.EmployeeDepartmentHistory AS edh,
       HumanResources.Shift    AS sh
 WHERE emp.BusinessEntityID = p.BusinessEntityID
   AND emp.BusinessEntityID = edh.BusinessEntityID
   AND edh.ShiftID = sh.ShiftID
   AND emp.BusinessEntityID = 119

-- Ergebnis
/*
ID  Title                 LastName    StartTime    EndTime
--- --------------------- ----------- ------------ ------------
119 Marketing Specialist  Williams    07:00:00.000 15:00:00.000

*/