-- Verkufer, Gebiete und Zeiten
SELECT sp.BusinessEntityID AS SalesPersonID, Name, StartDate, EndDate
  FROM Sales.SalesPerson AS sp
       INNER JOIN Sales.SalesTerritoryHistory AS sth
    ON sp.BusinessEntityID = sth.BusinessEntityID 
       INNER JOIN Sales.SalesTerritory AS st
    ON sth.TerritoryID = st.TerritoryID
  WHERE Name = 'Northwest'
  ORDER BY StartDate

-- Ergebnis
/*
SalesPersonID Name             StartDate   EndDate
------------- ---------------- ----------- -----------
280           Northwest        2001-07-01  2002-10-31
283           Northwest        2001-07-01  NULL
287           Northwest        2002-11-01  NULL

*/