-- Nur Produkte ohne Lagerplatz
SELECT p.ProductID, piv.ProductID, LocationID
  FROM Production.Product AS p LEFT OUTER JOIN Production.ProductInventory AS piv
    ON p.ProductID = piv.ProductID
 WHERE piv.ProductID IS NULL

-- Ergebnis
/*
ProductID   ProductID   LocationID
----------- ----------- ----------
680         NULL        NULL
706         NULL        NULL
717         NULL        NULL
*/