-- Liste aller weiblichen Angestellten
SELECT Name, Phone
  FROM (SELECT FirstName + ' ' + LastName AS Name,
               PhoneNumber AS Phone,
               Gender
          FROM HumanResources.Employee AS emp INNER JOIN Person.Person AS p
            ON emp.BusinessEntityID = p.BusinessEntityID
			                                  INNER JOIN Person.PersonPhone AS ph 
			ON p.BusinessEntityID = ph.BusinessEntityID)  AS emp
  WHERE Gender = 'F'

-- Ergebnis
/*
Name                       Phone
-------------------------- ----------------
JoLynn Dobney              903-555-0145
Ruth Ellerbrock            145-555-0130
Gail Erickson              849-555-0139
*/