-- Ermittlung der Stadt bei "aktiv"
SELECT BusinessEntityID AS VendorID,
       Name,
       CASE ActiveFlag
        WHEN 1 THEN (SELECT City
                       FROM Purchasing.Vendor AS v2 INNER JOIN Purchasing.VendorAddress AS va
                         ON v1.VendorID = va.VendorID
                                             INNER JOIN Person.Address AS a
                         ON a.AddressID = va.AddressID
                      WHERE v1.VendorID = v2.VendorID)
        ELSE 'Inaktiv'
       END AS Stadt
  FROM Purchasing.Vendor AS v1

-- Ergebnis
/*
VendorID    Name                                  Stadt
----------- ------------------------------------- ---------------
1           International                         Salt Lake City
2           Electronic Bike Repair & Supplies     Tacoma
48          Gardner Touring Cycles                Inaktiv
*/