-- NTILE
SELECT ProductID,
       ListPrice,
       ProductSubcategoryID,
       NTILE(3) OVER (ORDER BY ListPrice, ProductSubcategoryID) AS Quantil
  FROM Production.Product
 WHERE ProductID BETWEEN 800 AND 831
   AND ProductSubcategoryID BETWEEN 10 AND 14
 ORDER BY ListPrice, ProductSubcategoryID

-- Ergebnis
/*
ProductID   ListPrice    ProductSubcategoryID Quantil
----------- ------------ -------------------- ---------
805         34,20        11                   1
806         102,29       11                   1
807         124,73       11                   1
802         148,22       10                   1
803         175,49       10                   2
804         229,49       10                   2
830         348,76       12                   2
831         348,76       12                   3
814         348,76       12                   3
822         594,83       14                   3

(10 Zeile(n) betroffen)
*/