-- Berechnete Spalten
SELECT ProductNumber                AS Nr,
       ListPrice                    AS Liste,
       SafetyStockLevel             AS Sicherung,
       ListPrice - StandardCost     AS BruttoGewinn,
       SafetyStockLevel * ListPrice AS Warenwert,
       (ListPrice - StandardCost)
          * SafetyStockLevel        AS BruttoWarenGewinn
  FROM production.product
WHERE ListPrice != 0

-- Ergebnis
/*
Nr                        Liste                 Sicherung BruttoGewinn          Warenwert             BruttoWarenGewinn
------------------------- --------------------- --------- --------------------- --------------------- ---------------------
SA-M198                   133,34                500       34,57                 66670,00              17285,00
SA-M237                   147,14                500       38,15                 73570,00              19075,00
*/