-- Wieviele Datenstze sind in Contact?
SELECT COUNT(*) AS Anzahl
  FROM Person.Person
-- Wie hoch sind die Verkufe?
SELECT SUM(SalesYTD)      AS Verkufe,
       SUM(SalesLastYear) AS LetzteVerkufe
  FROM Sales.SalesPerson
WHERE TerritoryID < 5
-- Wie hoch sind die Durchcshnittsverkufe?
SELECT AVG(SalesYTD)      AS Verkufe,
       AVG(SalesLastYear) AS LetzteVerkufe,
       AVG(SalesYTD) - AVG(SalesLastYear) AS Differenz
  FROM Sales.SalesPerson
-- Wie hoch waren die maxi-/minimalen Verkufe?
SELECT MAX(SalesYTD)      AS Maxi,
       MIN(SalesLastYear) AS Mini
  FROM Sales.SalesPerson

/*
SELECT SalesPersonID AS Nr,
       TerritoryID,
       SalesYTD,
       SalesLastYear
  FROM Sales.SalesPerson
WHERE TerritoryID < 5 */

-- Ergebnis
/*
Anzahl
-----------
19972

Verkufe       LetzteVerkufe
-------------- ---------------
18164652.9789  10558949,205

Verkufe       LetzteVerkufe  Differenz
-------------- --------------- --------------
2133975.9943   1393291,9779    740684.0164

Maxi          Mini
------------- -------
4251368.5497  0,00
*/