-- Datumsteil mit vollem Namen
SELECT DATEPART(day, '01.01.2006') AS Tag,
       DATEPART(month, '28.02.2006') AS Monat,
       DATEPART(quarter, '30.01.2006') AS Quartal,
       DATEPART(year, '30.01.2006 01:10:30.000') AS Jahr
-- Datumsteil mit abgekrztem Namen
SELECT DATEPART(q, '09.01.2006') AS Quartal,
       DATEPART(dy, '28.02.2006') AS Tag,
       DATEPART(dw, '28.02.2006') AS Tag,
       DATEPART(wk, '30.01.2006') AS Woche,
       DATEPART(mi, '30.01.2006 01:10:30.000') AS Minute
-- Ergebnis
/*
Tag   Monat    Quartal  Jahr Quartal Tag Tag  Woche Minute
----- -------- -------- ---- ------- --- ---- ----- -------
1     2        1        2006 1       59  2    6     10
*/