-- Durchschnittspreis (= 438,6662)
SELECT AVG(ListPrice) AS Schnitt
  FROM Production.Product

-- Produkte teurer als Durchschnitt
SELECT ProductID, Name, ListPrice
  FROM Production.Product
 WHERE ListPrice > (SELECT AVG(ListPrice) AS Schnitt
                      FROM Production.Product)
ORDER BY ListPrice ASC

-- Ergebnis
/*
ProductID   Name                             ListPrice
----------- -------------------------------- ----------
977         Road-750 Black, 58               539,99
989         Mountain-500 Black, 40           539,99
*/