-- Kunde mit hchsten Frachtkoten
SELECT c.CustomerID, Freight
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE Freight = (SELECT MAX(Freight)
                    FROM Sales.SalesOrderHeader)

SELECT c.CustomerID, Freight
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE Freight >= ALL (SELECT Freight
                         FROM Sales.SalesOrderHeader)

-- Ergebnis
/*
CustomerID  Freight
----------- -----------
599         5608,9121
*/