-- Fehlender Parameter
BEGIN TRY
 EXEC uspWrongObject
END TRY
BEGIN CATCH
 SELECT ERROR_NUMBER()  AS ErrorNumber,
        ERROR_MESSAGE() AS ErrorMessage
END CATCH

/*
ErrorNumber ErrorMessage
----------- -----------------------------------------------------------------------------------------------------------
201         Die Prozedur oder Funktion 'uspWrongObject' erwartet den '@test'-Parameter, der nicht bereitgestellt wurde.
(1 Zeile(n) betroffen)
*/

-- Kein Datensatz gelscht
BEGIN TRY
 EXEC uspWrongObject 1
END TRY
BEGIN CATCH
 SELECT ERROR_NUMBER()  AS ErrorNumber,
        ERROR_MESSAGE() AS ErrorMessage
END CATCH

/*
(0 Zeile(n) betroffen)
*/

-- Falscher Objektname
BEGIN TRY
 EXEC uspWrongObject 2
END TRY
BEGIN CATCH
 SELECT ERROR_NUMBER()  AS ErrorNumber,
        ERROR_MESSAGE() AS ErrorMessage
END CATCH

/*
ErrorNumber ErrorMessage
----------- ---------------------------------------------------
208         Ungltiger Objektname 'HumanResources.Employees'.
(1 Zeile(n) betroffen)
*/