-- Transaktion starten
BEGIN TRANSACTION Produktbearbeitung
DELETE FROM Production.Product3
-- Test: 0 Datenstze
SELECT COUNT(*) AS Eingetragen FROM Production.Product3
-- Zustand speichern
SAVE TRANSACTION Geloescht
INSERT INTO Production.Product3
VALUES ('LL Mountain Seat Assembly', 'SA-M198', 133.34, 98.77)
-- Test: 1 Datensatz
SELECT COUNT(*) AS Eingetragen FROM Production.Product3
-- Zustand speichern
SAVE TRANSACTION Eingetragen
-- Zurcksetzen der Transaktion zum vorherigen Zustand
ROLLBACK TRANSACTION Geloescht
-- Test: 0
SELECT COUNT(*) AS Eingetragen FROM Production.Product3

-- Ergebnis
/*
(2 Zeile(n) betroffen)
Eingetragen
-----------
0

(1 Zeile(n) betroffen)

(1 Zeile(n) betroffen)

Eingetragen
-----------
1

(1 Zeile(n) betroffen)

Eingetragen
-----------
0

(1 Zeile(n) betroffen)
*/